function dashboard_reporting_widget (instance, widget) {
    "use strict";

    var widgets = widget;
    var InstalledModule = 0;
    

    widget.DashboardReportingWidget = instance.Widget.extend({
        template: 'DashboardReportingTemplate',
        widgets: [
            {
                title: 'Clientes',
                name: 'CustomerCounterWidget'
            }
        ],

        grid: {},
        start: function () {
            this.$el.find('.grid-stack.dashboard').gridstack({
                animate: true,
            });
            this.grid = this.$el.find('.grid-stack.dashboard').data('gridstack');
            this.renderWidgets();
        },
        renderWidgets: function () { 
            var self = this; 

            var wChartInvoice = new widgets.ChartInvoiceWidget(self);
            wChartInvoice.renderElement();
            wChartInvoice.start();
            self.grid.addWidget(wChartInvoice.$el, 0, 0, wChartInvoice.size.width,  wChartInvoice.size.height, true);
            
            //Ranking pos orders Salesman
            var wChartPosOrderSalesman = new widgets.ChartPosOrderSalesmanWidget(self);
            wChartPosOrderSalesman.renderElement();
            wChartPosOrderSalesman.start();
            self.grid.addWidget(wChartPosOrderSalesman.$el, 0, 0, wChartPosOrderSalesman.size.width,  wChartPosOrderSalesman.size.height, true);
            
            // Ranking de clientes
            var wChartPosOrderCustomer = new widgets.ChartPosOrderCustomerWidget(self);
            wChartPosOrderCustomer.renderElement();
            wChartPosOrderCustomer.start();
            self.grid.addWidget(wChartPosOrderCustomer.$el, 0, 0, wChartPosOrderCustomer.size.width,  wChartPosOrderCustomer.size.height, true);
            
            //Ranking de Ventas de Producto por Mes - Point Of Sale
            var wChartPosOrderProduct = new widgets.ChartPosOrderProductWidget(self);
            wChartPosOrderProduct.renderElement();
            wChartPosOrderProduct.start();
            self.grid.addWidget(wChartPosOrderProduct.$el, 0, 0, wChartPosOrderProduct.size.width,  wChartPosOrderProduct.size.height, true);
        
            
        }
    });
}
